# Interface methods for submodule: MultiGradientOptimizerv4Template
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GradientDescentOptimizerv4TemplateProxy as _GradientDescentOptimizerv4TemplateProxy


# Interface methods for class: MultiGradientOptimizerv4Template
class MultiGradientOptimizerv4TemplateProxy(_GradientDescentOptimizerv4TemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetStopCondition(self):
		""""""
		...

	def StartOptimization(self, doOnlyInitialization: bool = False) -> None:
		""""""
		...

	def StopOptimization(self) -> None:
		""""""
		...

	def ResumeOptimization(self) -> None:
		""""""
		...

	def GetStopConditionDescription(self) -> str:
		""""""
		...

	def GetOptimizersList(self):
		""""""
		...

	def SetOptimizersList(self, p) -> None:
		""""""
		...

	def GetMetricValuesList(self) -> Sequence[float]:
		""""""
		...

